Skip to main content
GET
/
api
/
dataset
/
scroll_files
Scroll Files with Groups
curl --request GET \
  --url https://api.trieve.ai/api/dataset/scroll_files \
  --header 'Authorization: <api-key>' \
  --header 'TR-Dataset: <tr-dataset>'
import requests

url = "https://api.trieve.ai/api/dataset/scroll_files"

headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'TR-Dataset': '<tr-dataset>', Authorization: '<api-key>'}
};

fetch('https://api.trieve.ai/api/dataset/scroll_files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "file_with_chunk_groups": [
    {
      "chunk_groups": [
        {
          "created_at": "2021-01-01 00:00:00.000",
          "dataset_id": "f83f08ef-c05d-421c-baf1-4f1509ea069b",
          "description": "",
          "id": "df1b73ec-1e62-44bc-b07e-b04485217842",
          "metadata": {},
          "name": "uploadme.pdf",
          "tag_set": [],
          "tracking_id": "file-upload-group",
          "updated_at": "2021-01-01 00:00:00.000"
        }
      ],
      "created_at": "2021-01-01 00:00:00.000",
      "dataset_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
      "file_name": "file.txt",
      "id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
      "link": "https://trieve.ai",
      "metadata": {
        "key": "value"
      },
      "size": 1000,
      "tag_set": "tag1,tag2",
      "time_stamp": "2021-01-01 00:00:00.000",
      "updated_at": "2021-01-01 00:00:00.000"
    }
  ],
  "next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"message": "Bad Request"
}

Authorizations

Authorization
string
header
required

Headers

TR-Dataset
string<uuid>
required

The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.

Query Parameters

cursor
string<uuid> | null

The cursor to fetch files from. If not specified, will fetch from the beginning. File ids are compared to the cursor using a greater than or equal to.

page_size
integer<int64> | null

The page size of files you wish to fetch. Defaults to 10.

Required range: x >= 0

Response

JSON body representing the files along with their associated groups in the current dataset

file_with_chunk_groups
object[]
required

This is a paginated list of files and their associated groups. The page size is specified in the request. The cursor is used to fetch the next page of files.

next_cursor
string<uuid> | null

Parameter for the next cursor offset. This is used to fetch the next page of files. If there are no more files, this will be None.